Bug 432256 - Request for OSG version 2.2 on Fedora 8
Request for OSG version 2.2 on Fedora 8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: OpenSceneGraph (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 09:18 EST by Keith Sharp
Modified: 2008-11-26 05:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 05:11:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Sharp 2008-02-10 09:18:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.8.1.10) Gecko/20071213 Epiphany/2.20 Firefox/2.0.0.10

Description of problem:
I noticed that builds of OSG 2.2 are underway for Rawhide, could you build and push this version for F8 as well?  I've successfully rebuilt using the SPEC file and patch from CVS on F8, but an official package would be nice.

As an aside I had to add BuildRequires for fltk-devel and sdl-devel because the OSG build picked up the presence of these libraries on my system and built osgviewerFLTK and osgviewerSDL which I had to add to the files section of the main OSG package.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
The form requires some text here!

Actual Results:


Expected Results:


Additional info:
Comment 1 Ralf Corsepius 2008-02-10 11:42:10 EST
OSG-2.2's API/ABI is incompatible to OSG-2.0. I.e. blindly pushing OSG-2.2 into
FC8 would break existing applications.

The "usual" work-around would be to add compat-OSG-2.0 packages which could be
installed in parallel to OSG-2.2, however this is hardly possible to implement
with OSG due to limitations of the implementation.

So I regret, I don't see many possibilities to upgrade OSG to OSG-2.2 in near
future.

[Intentionally leaving this PR open as a remainder to myself - R.C.]
Comment 2 Keith Sharp 2008-02-10 12:06:15 EST
Ok, I understand your reasoning.

How about the issue with the BuildRequires for fltk-devel and sdl-devel to allow
the building of the osgviewerFLTK and osgviewerSDL binaries?  Should I open
another bug to track that?
Comment 3 Ralf Corsepius 2008-02-11 12:32:30 EST
I've just added OpenSceneGraph-examples-SDL and OpenSceneGraph-examples-fltk
packages to the version in rawhide containing osgviewerSDL rsp. osgviewerFLTK.
Should everything work out as desired, these packages will be part of the next
rawhide spin.

[Put them into separate (sub-) packages to avoid the package-dependency ballast
these packages pull-in.]
Comment 4 Keith Sharp 2008-02-11 12:52:10 EST
Thanks - looking forward to Fedora 9!
Comment 5 Bug Zapper 2008-11-26 04:46:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.